Bug 442439 - Some additional CSV export requests
Summary: Some additional CSV export requests
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI   
(Show other bugs)
Version: 520
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 457073
TreeView+ depends on / blocked
 
Reported: 2008-04-14 20:09 UTC by Máirín Duffy
Modified: 2009-09-10 19:31 UTC (History)
2 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 19:31:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Máirín Duffy 2008-04-14 20:09:37 UTC
Description of problem:

It would be nice if various search results pages in Satellite provided CSV
export of the results:

- System search results /rhn/systems/Search.do
- Package search results /rhn/channels/software/Search.do
- Errata search results /rhn/errata/Search.do

Comment 2 Clifford Perry 2008-09-30 15:50:19 UTC
John - how hard will this be?

Ping me about it. At first glance I agree that this would be a good place to add the csv links.

Cliff.

Comment 3 Jesus M. Rodriguez 2009-02-23 21:26:42 UTC
download csv was trivial to add 3 lines to the jsps. I added it to errata, system, and package search. I don't think csv download is appropriate for doc search.

Comment 4 Jesus M. Rodriguez 2009-02-23 21:26:56 UTC
fixed in a704af5aab352e9daa62fcfb709c1203bae12ca3

Comment 5 Preethi Thomas 2009-03-19 15:12:04 UTC
fails_qa
download csv missing from system search page
- System search results /rhn/systems/Search.do

errata & package search pages have download csv option.

Comment 7 John Matthews 2009-04-07 15:54:31 UTC
Here's the change, dataset needed to be changed to "searchResults"

.../webapp/WEB-INF/pages/systems/systemsearch.jsp  |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/java/code/webapp/WEB-INF/pages/systems/systemsearch.jsp b/java/code/webapp/WEB-INF/pages/systems/systemsearch.jsp
index 293ddf2..c45defd 100644
--- a/java/code/webapp/WEB-INF/pages/systems/systemsearch.jsp
+++ b/java/code/webapp/WEB-INF/pages/systems/systemsearch.jsp
@@ -172,9 +172,9 @@
                         ${current.entitlementLevel}
             </rl:column>
         </rl:list>
-        <rl:csv dataset="pageList"
+        <rl:csv dataset="searchResults"
                 name="searchResults"
-                exportColumns="id,serverName,description,entitlementLevel"/>
+                exportColumns="id,serverName,lookupMatchingField,entitlementLevel"/>

     </rl:listset>
     </c:if>



Commit in VADER branch

http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=3e4b027e4a6db1f31545fbe5ea95983ddb64610f

Comment 8 Preethi Thomas 2009-05-26 16:49:51 UTC
verified
Satellite-5.3.0-RHEL4-re20090521.1-i386-embedded-oracle.iso

jmatthews Preethi, we need to test it after you've reg some systems and have data available to search.  I believe there is code wrapping the csv link, so it doesn't show up when the results are empty

Comment 9 Jan Pazdziora 2009-09-01 11:54:04 UTC
Stage validated -- system, errata, and package searches have CSV link and it actually produces some CSV data.

Moving to RELEASE_PENDING.

Comment 10 Brandon Perkins 2009-09-10 19:31:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.